=== debian/changelog ===
auto-multiple-choice (0.376-1build1) natty; urgency=low

  * No change rebuild against current libpoppler

 -- Bhavani Shankar <bhavi@ubuntu.com>  Fri, 11 Mar 2011 23:08:20 +0530

auto-multiple-choice (0.376-1) unstable; urgency=low

  * upgraded to the newest version. Its license has been set to GPL2+,
    which Closes: #609604

 -- Georges Khaznadar <georgesk@ofset.org>  Wed, 12 Jan 2011 14:52:34 +0100

auto-multiple-choice (0.375-1) unstable; urgency=low

  * upgraded to a newer upstream version, as propmted by Alexis Bienvenüe.
  * added a file debian/watch

 -- Georges Khaznadar <georgesk@ofset.org>  Sat, 08 Jan 2011 19:50:14 +0100

auto-multiple-choice (0.355-1) unstable; urgency=low

  * added a management for the file Makefile.versions
  * upgraded to the newest SVN release

 -- Georges Khaznadar <georgesk@ofset.org>  Sun, 28 Nov 2010 14:47:03 +0100

auto-multiple-choice (0.297+svnRelease345-1) unstable; urgency=low

  * upgraded to the newer SNV release

 -- Georges Khaznadar <georgesk@ofset.org>  Thu, 28 Oct 2010 21:18:54 +0200

auto-multiple-choice (0.297+svnRelease342-1) unstable; urgency=low

  * upgraded to the newer SNV release
  * translated the help file to English, updated the file doc/Makefile
    accordingly
  * modified debian/rules to manage the manpages correctly
  * converted the format to 3.0 (quilt)
  * made a file en.po and "translated" a few words (mainly removed some
    hints for translators)

 -- Georges Khaznadar <georgesk@ofset.org>  Sat, 23 Oct 2010 21:34:18 +0200

auto-multiple-choice (0.297+svnRelease328-1) unstable; urgency=low

  * upgraded to the upstream revision #328. Fixes a bug with variable scan 
    definition: 300 ppm did work, lower resolutions did not.
  * updated the dependency on debhelper (>= 7.0.50~)
  * modified doc/Makefile to erase PNG files.
  * added a rule override dh_install_docs to whipe out .svn directories

 -- Georges Khaznadar <georgesk@ofset.org>  Tue, 24 Aug 2010 16:33:36 +0200

auto-multiple-choice (0.297-1) unstable; urgency=low

  * modified the geometry settings to ensure that the binary pattern will
    fit more surely the top margin of some printers.
  * modified the Maintainer field in debian/control
  * modified the reference to the maintainer in debian/copyright

 -- Georges Khaznadar <georgesk@ofset.org>  Sun, 15 Aug 2010 15:25:23 +0200

auto-multiple-choice (0.297-0.nmu1) unstable; urgency=low

  * Non-maintainer upload.
  * updated the standards level to 3.9.1
  * added a dependency on ${misc:Depends}
  * changed the format to a non-native package
  * publication. Closes: #592231

 -- Georges Khaznadar <georgesk@ofset.org>  Sat, 07 Aug 2010 20:46:46 +0200

auto-multiple-choice (0.297) unstable; urgency=low
  
  * Changes within depedencies
  
  * minor improvements

 -- Alexis Bienvenüe <pado@passoire.fr>  Sun, 28 Mar 2010 23:24:08 +0200

auto-multiple-choice (0.283) unstable; urgency=low

  * Models are now TGZ archives

 -- Alexis Bienvenüe <pado@passoire.fr>  Tue, 16 Mar 2010 15:21:03 +0100

auto-multiple-choice (0.276) unstable; urgency=low

  * Partial internationalization
  
  * Bug fixes

 -- Alexis Bienvenüe <pado@passoire.fr>  Fri, 12 Mar 2010 16:33:24 +0100

auto-multiple-choice (0.268) unstable; urgency=low

  * GUI improvements
  
  * new boxes design in LaTeX style

 -- Alexis Bienvenüe <pado@passoire.fr>  Fri, 05 Mar 2010 00:34:00 +0100

auto-multiple-choice (0.250) unstable; urgency=low

  * option for faster layout detection, in test
  
  * possible printing to PDF files
  
  * configurable papers annotation
  
  * Bug fixes

 -- Alexis Bienvenüe <pado@passoire.fr>  Tue, 16 Feb 2010 19:21:33 +0100

auto-multiple-choice (0.237) unstable; urgency=low

  * Better support for option 'ensemble'
  
  * Bug fixes

 -- Alexis Bienvenüe <pado@passoire.fr>  Mon, 08 Feb 2010 16:15:23 +0100

auto-multiple-choice (0.228) unstable; urgency=low

  * possible project creation from zip file.

 -- Alexis Bienvenüe <pado@passoire.fr>  Thu, 04 Feb 2010 18:25:37 +0100

auto-multiple-choice (0.222) unstable; urgency=low

  * minor changes and bugfixes

 -- Alexis Bienvenüe <pado@passoire.fr>  Wed, 03 Feb 2010 11:33:37 +0100

auto-multiple-choice (0.211) unstable; urgency=low
  
  * possible compilation with latex

  * some new configuration options

 -- Alexis Bienvenüe <pado@passoire.fr>  Wed, 27 Jan 2010 21:05:52 +0100

auto-multiple-choice (0.204) unstable; urgency=low
  
  * bug fixes

  * xelatex compatibility
  
  * new LaTeX commands AMClabel and AMCref

 -- Alexis Bienvenüe <pado@passoire.fr>  Sun, 17 Jan 2010 23:50:59 +0100

auto-multiple-choice (0.193) unstable; urgency=low

  * using relative file names
  
 -- Alexis Bienvenüe <pado@passoire.fr>  Wed, 16 Dec 2009 10:13:11 +0100

auto-multiple-choice (0.178) unstable; urgency=low
  
  * variables within marking scale specification

  * important bug corrections

 -- Alexis Bienvenüe <pado@passoire.fr>  Thu, 05 Nov 2009 14:03:16 +0100

auto-multiple-choice (0.169) unstable; urgency=low

  * LaTeX option for pre-svn:156 printed exams

 -- Alexis Bienvenüe <pado@passoire.fr>  Mon, 26 Oct 2009 17:34:35 +0100

auto-multiple-choice (0.168) unstable; urgency=low

  * small bug fixes

 -- Alexis Bienvenüe <pado@passoire.fr>  Fri, 23 Oct 2009 16:34:24 +0200

auto-multiple-choice (0.163) unstable; urgency=low

  * debugging easier
  
  * changed number of binary boxes for greater number of copies

 -- Alexis Bienvenüe <pado@passoire.fr>  Wed, 21 Oct 2009 14:44:13 +0200

auto-multiple-choice (0.152) unstable; urgency=low

  * Codes via AMCcode + automatic association

  * OpenOffice ODS Export
  
 -- Alexis Bienvenüe <pado@passoire.fr>  Sun, 04 Oct 2009 20:40:54 +0200

auto-multiple-choice (0.107) unstable; urgency=low

  * LaTeX : custumisable styles, AMCcode

 -- Alexis Bienvenüe <pado@passoire.fr>  Fri, 10 Jul 2009 22:33:58 +0200

auto-multiple-choice (0.94) unstable; urgency=low

  * Bugs and cosmetics


