=== debian/control ===
Source: auto-multiple-choice
Section: x11
Priority: optional
Maintainer: Georges Khaznadar <georgesk@ofset.org>
Build-Depends: debhelper (>= 7.0.50~), quilt, gettext, libnetpbm10-dev,
 libpoppler-dev, libxml-libxml-perl, dblatex, xsltproc, docbook-xml,
 docbook-xsl, inkscape, netpbm
Standards-Version: 3.9.1
Homepage: http://home.gna.org/auto-qcm/
Vcs-Browser: http://svn.gna.org/viewcvs/auto-qcm/
Vcs-Svn: svn://svn.gna.org/svn/auto-qcm/trunk

Package: auto-multiple-choice
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, liblocale-gettext-perl,
  ${perl:Depends}, 
  libxml-simple-perl, libxml-writer-perl,
  libgtk2-gladexml-perl, libcompress-zlib-perl,
  libgraphics-magick-perl,
  texlive-latex-base, latex-xcolor, texlive-generic-recommended,
  texlive-latex-extra, texlive-fonts-extra,
  imagemagick (>= 7:6.5.5) | graphicsmagick-imagemagick-compat,
  netpbm, ghostscript, poppler-utils,
  unzip
Recommends: libsys-cpu-perl, libnet-cups-perl (>= 0.60), 
  libopenoffice-oodoc-perl
Suggests: texmaker | kile, openoffice.org-calc
Description: Auto Multiple Choice - multiple choice papers management
 Utility to manage multiple choice questionnaires, with optionnaly
 mixed questions and answers. AMC provides automatic marking from papers'
 scans. Annotated papers are produced. Marks can be exported as a
 OpenOffice.org sheet file.
