## auto-multiple-choice 0.550

=== Makefile ===
--- 
+++ 
@@ -17,64 +17,125 @@
 # along with Auto-Multiple-Choice.  If not, see
 # <http://www.gnu.org/licenses/>.
 
-SUB_MAKEFILES=$(wildcard Makefile.versions Makefile.conf)
+# Loads separate configuration file
+
+ifeq ($(AMCCONF),)
+AMCCONFFILE ?= Makefile.conf
+else
+AMCCONFFILE = Makefile-$(AMCCONF).conf
+endif
+
+SUB_MAKEFILES=$(wildcard Makefile.versions $(AMCCONFFILE))
 
 include $(SUB_MAKEFILES)
 
 PACKAGE_DEB_DV=1
-
-SUBST_VARS:=$(shell grep -h '=' $(SUB_MAKEFILES) | grep -v '^\#' | sed 's/?\?=.*//;' ) PACKAGE_DEB_DV
+PERLPATH ?= /usr/bin/perl
+
+# DATE/TIME to be substituted
+
+DATE_RPMCHL:=$(shell LC_TIME=en_US date +"%a %b %e %Y")
+DATE_DEBCHL:=$(shell LANG=C date "+%a, %d %b %Y %H:%M:%S %z")
+
+# list variables to be substituted in *.in files
+
+SUBST_VARS:=$(shell grep -h '=' $(SUB_MAKEFILES) | perl -pe 's/\#.*//;s/\??\+?=.*//;' ) PACKAGE_DEB_DV PERLPATH DATE_DEBCHL DATE_RPMCHL
+
+# Some default values
 
 GCC ?= gcc
 GCC_PP ?= gcc
 CFLAGS ?= -O2
 CXXFLAGS ?= -O2
 
+# try to find right names for OpenCV libs 
+
+ifeq ($(GCC_OPENCV_LIBS),auto)
+ifeq ($(shell echo 'main(){}' | gcc -xc -lopencv_core - 2>/dev/null && echo "OK"),OK)
+  GCC_OPENCV_LIBS:=-lopencv_core -lopencv_highgui -lopencv_imgproc
+else
+  GCC_OPENCV_LIBS:=-lcv -lhighgui -lcxcore
+endif
+endif
+
+#
+
 SHELL=/bin/sh
 
 DESTDIR=
 
-MODS=AMC-*.pl AMC-traitement-image AMC-mepdirect
+# AMC components to build
+
+BINARIES ?= AMC-traitement-image AMC-mepdirect AMC-detect
+
+MODS=AMC-*.pl $(BINARIES)
 GLADE=AMC-gui.glade
-MOD_GLADE=$(wildcard AMC-perl/AMC/Gui/*.glade.in)
-STY=automultiplechoice.sty
+STY=doc/sty/automultiplechoice.sty
+DTX=doc/sty/automultiplechoice.dtx
 MOS=$(wildcard I18N/lang/*.mo)
 LANGS=$(notdir $(basename $(MOS)))
 SUBMODS=$(notdir $(shell ls doc/modeles))
 
 DOC_XML_IN=$(wildcard doc/auto-multiple-choice.*.in.xml)
 
-FROM_IN=auto-multiple-choice auto-multiple-choice.desktop AMC-gui.glade $(MOD_GLADE:.glade.in=.glade) AMC-gui.pl AMC-perl/AMC/Basic.pm doc/doc-xhtml-site.fr.xsl doc/doc-xhtml-site.en.xsl doc/doc-xhtml.xsl $(DOC_XML_IN:.in.xml=.xml)
+# list *.in files for @/VAR/@ substitution
+
+FROM_IN=auto-multiple-choice auto-multiple-choice.desktop AMC-gui.glade AMC-gui.pl AMC-latex-link.pl AMC-perl/AMC/Basic.pm doc/doc-xhtml-site.fr.xsl doc/doc-xhtml-site.en.xsl doc/doc-xhtml.xsl $(DOC_XML_IN:.in.xml=.xml) $(DTX)
+
+# Is this a precomp tarball? If so, the PRECOMP file is present.
 
 PRECOMP_FLAG_FILE=PRECOMP
 PRECOMP_ARCHIVE:=$(wildcard $(PRECOMP_FLAG_FILE))
 
 MAIN_LOGO=icons/auto-multiple-choice
 
+# Sets user and group flags for install command
+
+ifeq ($(INSTALL_USER),)
+else
+USER_GROUP = -o $(INSTALL_USER)
+endif
+ifeq ($(INSTALL_GROUP),)
+else
+USER_GROUP += -g $(INSTALL_GROUP)
+endif
+
+# Target switch (precomp archive or not)
+
 ifeq ($(PRECOMP_ARCHIVE),)
-all: $(FROM_IN) AMC-traitement-image AMC-mepdirect $(MAIN_LOGO).xpm doc I18N ;
+all: $(FROM_IN) $(BINARIES) $(MAIN_LOGO).xpm doc I18N ;
 else
 all: all_precomp ;
 endif
 
-all_precomp: $(FROM_IN) AMC-traitement-image AMC-mepdirect ;
+all_precomp: $(FROM_IN) $(BINARIES) ;
 
 MAJ: $(FROM_IN) ;
+
+# Binaries
 
 AMC-traitement-image: AMC-traitement-image.c Makefile
 	$(GCC) -o $@ $< $(CFLAGS) $(LDFLAGS) $(GCC_NETPBM)
 
 AMC-mepdirect: AMC-mepdirect.cc Makefile
-	$(GCC_PP) -o $@ $< $(CXXFLAGS) $(LDFLAGS) $(GCC_POPPLER)
+	$(GCC_PP) -o $@ $< $(CXXFLAGS) $(LDFLAGS) $(CXXLDFLAGS) $(GCC_POPPLER) -lstdc++ -lm
+
+AMC-detect: AMC-detect.cc Makefile
+	$(GCC_PP) -o $@ $< $(CXXFLAGS) $(LDFLAGS) $(CXXLDFLAGS) -lstdc++ -lm $(GCC_OPENCV) $(GCC_OPENCV_LIBS)
+
+# substitution in *.in files
 
 %.xml: %.in.xml
-	sed $(foreach varname,$(SUBST_VARS), -e 's|@/$(varname)/@|$($(varname))|g;' ) -e 's+/usr/share/xml/docbook/schema/dtd/4.5/docbookx.dtd+$(DOCBOOK_DTD)+g;' $< > $@
+	perl -p $(foreach varname,$(SUBST_VARS), -e 's|@/$(varname)/@|$($(varname))|g;' ) -e 's+/usr/share/xml/docbook/schema/dtd/4.5/docbookx.dtd+$(DOCBOOK_DTD)+g;' $< > $@
 
 %: %.in $(SUB_MAKEFILES)
-	sed $(foreach varname,$(SUBST_VARS), -e 's|@/$(varname)/@|$($(varname))|g;' ) $< > $@
+	perl -p $(foreach varname,$(SUBST_VARS), -e 's|@/$(varname)/@|$($(varname))|g;' ) $< > $@
+
+# some components
 
 doc:
 	$(MAKE) -C doc
+	$(MAKE) -C doc/sty
 
 I18N:
 	$(MAKE) -C I18N
@@ -82,6 +143,8 @@
 sync:
 	$(MAKE) -C download-area all
 
+# Individual rules
+
 %.ps: %.dvi
 	dvips $< -o $@
 
@@ -89,20 +152,25 @@
 	convert -density 300 $< $*-%03d.ppm
 
 %.png: %.svg
-	inkscape --export-width=32 --export-height=32 --export-png=$@ $<
+	rsvg -w 32 -h 32 $< $@
 
 %.xpm: %.png
 	pngtopnm $< | ppmtoxpm > $@
+
+# CLEAN
 
 clean_IN: FORCE
 	rm -rf debian/auto-multiple-choice
 	rm -f $(FROM_IN)
 
 clean: clean_IN FORCE
-	rm -f AMC-traitement-image AMC-mepdirect $(MAIN_LOGO).xpm
+	rm -f $(BINARIES) $(MAIN_LOGO).xpm
 	rm -f auto-multiple-choice.spec
+	$(MAKE) -C doc/sty clean
 	$(MAKE) -C doc clean
 	$(MAKE) -C I18N clean
+
+# INSTALL
 
 install_lang_%: FORCE
 	install -d -m 0755 $(USER_GROUP) $(DESTDIR)/$(LOCALEDIR)/$*/LC_MESSAGES
@@ -123,6 +191,10 @@
 	install    -m 0644 $(USER_GROUP) $(GLADE) $(DESTDIR)/$(MODSDIR)
 	install -d -m 0755 $(USER_GROUP) $(DESTDIR)/$(TEXDIR)
 	install    -m 0644 $(USER_GROUP) $(STY) $(DESTDIR)/$(TEXDIR)
+ifneq ($(TEXDOCDIR),)
+	install -d -m 0755 $(USER_GROUP) $(DESTDIR)/$(TEXDOCDIR)
+	install    -m 0644 $(USER_GROUP) doc/sty/*.pdf doc/sty/*.tex $(DESTDIR)/$(TEXDOCDIR)
+endif
 ifneq ($(DESKTOPDIR),)
 	install -d -m 0755 $(USER_GROUP) $(DESTDIR)/$(DESKTOPDIR)
 	install    -m 0644 $(USER_GROUP) -T auto-multiple-choice.desktop $(DESTDIR)/$(DESKTOPDIR)/auto-multiple-choice.desktop
@@ -131,8 +203,10 @@
 	install    -m 0755 $(USER_GROUP) auto-multiple-choice $(DESTDIR)/$(BINDIR)
 	install -d -m 0755 $(USER_GROUP) $(DESTDIR)/$(ICONSDIR)
 	install    -m 0644 $(USER_GROUP) icons/*.svg $(DESTDIR)/$(ICONSDIR)
+ifneq ($(PIXDIR),)
 	install -d -m 0755 $(USER_GROUP) $(DESTDIR)/$(PIXDIR)
 	install    -m 0644 $(USER_GROUP) -T $(MAIN_LOGO).xpm $(DESTDIR)/$(PIXDIR)/auto-multiple-choice.xpm
+endif
 	install -d -m 0755 $(USER_GROUP) $(DESTDIR)/$(PERLDIR)/AMC
 	install -d -m 0755 $(USER_GROUP) $(DESTDIR)/$(PERLDIR)/AMC/Export
 	install -d -m 0755 $(USER_GROUP) $(DESTDIR)/$(PERLDIR)/AMC/Gui
@@ -141,10 +215,16 @@
 	install    -m 0644 $(USER_GROUP) AMC-perl/AMC/Gui/*.pm $(DESTDIR)/$(PERLDIR)/AMC/Gui
 	install    -m 0644 $(USER_GROUP) AMC-perl/AMC/Gui/*.glade $(DESTDIR)/$(PERLDIR)/AMC/Gui
 ifneq ($(SYSTEM_TYPE),deb) # with debian, done with dh_install{doc,man}
-ifneq ($(SYSTEM_TYPE),rpm)
 	install -d -m 0755 $(USER_GROUP) $(DESTDIR)/$(DOCDIR)
-	install    -m 0644 $(USER_GROUP) doc/auto-multiple-choice.{xml,pdf} $(DESTDIR)/$(DOCDIR)
+	install    -m 0644 $(USER_GROUP) $(wildcard doc/auto-multiple-choice.??.xml doc/auto-multiple-choice.??.pdf) $(DESTDIR)/$(DOCDIR)
 	cp -r doc/html $(DESTDIR)/$(DOCDIR)
+ifeq ($(INSTALL_USER),)
+else
+	chown -hR $(INSTALL_USER) $(DESTDIR)/$(DOCDIR)
+endif
+ifeq ($(INSTALL_GROUP),)
+else
+	chgrp -hR $(INSTALL_GROUP) $(DESTDIR)/$(DOCDIR)
 endif
 	install -d -m 0755 $(USER_GROUP) $(DESTDIR)/$(MAN1DIR)
 	install    -m 0644 $(USER_GROUP) doc/*.1 $(DESTDIR)/$(MAN1DIR)
@@ -158,7 +238,7 @@
 LOCALDIR=$(shell pwd)
 
 global: FORCE
-	-sudo rm /usr/share/perl5/AMC /usr/lib/AMC/AMC-traitement-image /usr/lib/AMC/AMC-mepdirect $(ICONSDIR) /usr/share/doc/auto-multiple-choice $(LOCALEDIR)/fr/LC_MESSAGES/auto-multiple-choice.mo $(DESKTOPDIR)/auto-multiple-choice.desktop
+	-sudo rm /usr/share/perl5/AMC /usr/lib/AMC/AMC-traitement-image /usr/lib/AMC/AMC-detect /usr/lib/AMC/AMC-mepdirect $(ICONSDIR) /usr/share/doc/auto-multiple-choice $(LOCALEDIR)/fr/LC_MESSAGES/auto-multiple-choice.mo $(DESKTOPDIR)/auto-multiple-choice.desktop $(MODELSDIR) /usr/lib/AMC/*.pl /usr/lib/AMC/*.glade /usr/bin/auto-multiple-choice
 
 local: global
 	test -d /usr/lib/AMC || sudo mkdir -p /usr/lib/AMC
@@ -167,10 +247,14 @@
 	sudo ln -s $(LOCALDIR)/I18N/lang/fr.mo $(LOCALEDIR)/fr/LC_MESSAGES/auto-multiple-choice.mo
 	sudo ln -s $(LOCALDIR)/AMC-perl/AMC /usr/share/perl5/AMC
 	sudo ln -s $(LOCALDIR)/AMC-traitement-image /usr/lib/AMC/AMC-traitement-image
+	sudo ln -s $(LOCALDIR)/AMC-detect /usr/lib/AMC/AMC-detect
 	sudo ln -s $(LOCALDIR)/AMC-mepdirect /usr/lib/AMC/AMC-mepdirect
+	sudo ln -s $(LOCALDIR)/AMC-*.pl $(LOCALDIR)/AMC-*.glade /usr/lib/AMC
+	sudo ln -s $(LOCALDIR)/auto-multiple-choice /usr/bin
 	sudo ln -s $(LOCALDIR)/icons $(ICONSDIR)
 	sudo ln -s $(LOCALDIR)/doc /usr/share/doc/auto-multiple-choice
 	sudo ln -s $(LOCALDIR)/auto-multiple-choice.desktop $(DESKTOPDIR)/auto-multiple-choice.desktop
+	sudo ln -s $(LOCALDIR)/doc/modeles $(MODELSDIR)
 
 ifdef DEBSIGN_KEY
 DEBSIGN=-k$(DEBSIGN_KEY)
@@ -188,12 +272,21 @@
 
 version_files:
 	perl local/versions.pl
-	make auto-multiple-choice.spec
+	$(MAKE) auto-multiple-choice.spec
 
 tmp_copy:
 	rm -rf $(TMP_SOURCE_DIR)
 	mkdir $(TMP_SOURCE_DIR)
 	rsync -aC --exclude '*~' --exclude download_area --exclude local . $(TMP_SOURCE_DIR)
+	$(MAKE) -C $(TMP_SOURCE_DIR) clean
+
+portable_vok:
+	$(eval TMP_PORTABLE:=$(shell mktemp -d /tmp/portable.XXXXXXXXXX))
+	$(MAKE) tmp_copy
+	make AMCCONF=portable INSTREP=$(TMP_PORTABLE)/AMC -C $(TMP_SOURCE_DIR)
+	make AMCCONF=portable INSTREP=$(TMP_PORTABLE)/AMC -C $(TMP_SOURCE_DIR) install
+	cd $(TMP_PORTABLE) ; tar cvzf /tmp/auto-multiple-choice_$(PACKAGE_V_DEB)_portable.tar.gz $(SRC_EXCL) AMC
+	rm -rf $(TMP_PORTABLE)
 
 sources_vok:
 	$(MAKE) tmp_copy
@@ -201,6 +294,7 @@
 	$(MAKE) -C $(TMP_SOURCE_DIR) MAJ
 	$(MAKE) -C $(TMP_SOURCE_DIR) $(MAIN_LOGO).xpm I18N doc
 	$(MAKE) -C $(TMP_SOURCE_DIR) clean_IN
+	$(MAKE) -C $(TMP_SOURCE_DIR) auto-multiple-choice.spec
 	touch $(TMP_SOURCE_DIR)/$(PRECOMP_FLAG_FILE)
 	cd /tmp ; tar cvzf auto-multiple-choice_$(PACKAGE_V_DEB)_precomp.tar.gz $(SRC_EXCL) $(SOURCE_DIR)
 
@@ -217,7 +311,7 @@
 
 # % : make sure version_files are rebuilt before calling target %_vok
 
-$(foreach key,deb debsrc sources,$(eval $(key): clean version_files ; $$(MAKE) $(key)_vok))
+$(foreach key,deb debsrc sources portable,$(eval $(key): clean version_files ; $$(MAKE) $(key)_vok))
 
 # debian repository
