=== doc/Makefile ===
--- 
+++ 
@@ -30,7 +30,7 @@
 images: $(IMAGES:.svg=.png)
 
 clean:
-	rm -f *.{1,aux,cb,cb2,glo,idx,log,out,toc,tex,html,pdf,ext,man}
+	rm -f $(foreach ext,1 aux cb cb2 glo idx log out toc tex html pdf ext man,*.$(ext))
 	rm -f modeles/*.tgz
 	rm -f modeles/**/*.tgz
 	rm -f html/auto-multiple-choice.**/*.html
@@ -38,18 +38,18 @@
 	rm -f *~
 
 html/images/callouts/%.png: img_src/callouts/%.svg
-	inkscape --export-width=12 --export-height=12 --export-png=$@ $<
+	rsvg -w 12 -h 12 $< $@
 
 html/images/%.png: img_src/%.svg
-	inkscape --export-width=24 --export-height=24 --export-png=$@ $<
+	rsvg -w 24 -h 24 $< $@
 
 %.tex: %.xml
-	dblatex -t tex --xslt-opts="--nonet" --xslt-opts="--catalogs" $< -o $@
+	dblatex -t tex --xslt-opts="--nonet" --xslt-opts="--catalogs" $(DBLATEX_OPT) $< -o $@
 	perl addlink.pl $@
 
 %.pdf: %.tex
 	pdflatex $< ; pdflatex $<
-	rm -f $*.{aux,cb,cb2,glo,idx,log,out,toc}
+	rm -f $(foreach ext,aux cb cb2 glo idx log out toc,$*.$(ext))
 
 %.x: %.ext %.man %.html ;
