=== debian/changelog ===
auto-multiple-choice (0.550-2) unstable; urgency=low

  * downgraded the dependency on libopencv, since a version 2.1 
    can be accepted too

 -- Georges Khaznadar <georgesk@ofset.org>  Sat, 23 Jul 2011 23:23:26 +0200

auto-multiple-choice (0.550-1) unstable; urgency=low

  * upgraded to the newest upstream version. This ensures that the
    compilation will be done correctly either with version 2.1 or 2.3
    of openCV, which makes this release usable for Sid and testing.

 -- Georges Khaznadar <georgesk@ofset.org>  Sat, 23 Jul 2011 13:02:13 +0200

auto-multiple-choice (0.468-3) experimental; urgency=low

  * modified the build-dependency on libcv-dev: now it requires a version
    >=2.3.0 to ensure the proper libraries to be loaded. Closes: #634795

 -- Georges Khaznadar <georgesk@ofset.org>  Wed, 20 Jul 2011 18:37:19 +0200

auto-multiple-choice (0.468-2) experimental; urgency=low

  * included Nobuhiro Iwamatsu's patch: Fix FTBFS with opencv 2.3
    Closes: #634795

 -- Georges Khaznadar <georgesk@ofset.org>  Wed, 20 Jul 2011 10:42:09 +0200

auto-multiple-choice (0.468-1) unstable; urgency=low

  * upgraded to the newest upstream version
  * added missing (c) statements in debian/copyright

 -- Georges Khaznadar <georgesk@ofset.org>  Sun, 19 Jun 2011 15:44:58 +0200

auto-multiple-choice (0.458-1) unstable; urgency=low

  * upgraded to the new upstream version
  * changed the build-dependency inkscape -> rsvg
  * added a build-dependency on latex-xcolor
  * modified AMC-detect.cc files to comply with gcc4.6
  * bumped Standards-Version to 3.9.2

 -- Georges Khaznadar <georgesk@ofset.org>  Mon, 02 May 2011 02:29:15 +0200

auto-multiple-choice (0.426-3) unstable; urgency=low

  * applied Alexis Bienvenüe's patches. Closes: #618066

 -- Georges Khaznadar <georgesk@ofset.org>  Wed, 16 Mar 2011 11:42:40 +0100

auto-multiple-choice (0.426-2) unstable; urgency=low

  * removed the explicit target override_dh_auto_clean which was no more
    needed

 -- Georges Khaznadar <georgesk@ofset.org>  Wed, 16 Mar 2011 11:39:25 +0100

auto-multiple-choice (0.426-1) unstable; urgency=low

  * upgraded to the newest version.
  * removes the stuff about versions.pl, as requested by the upstream author

 -- Georges Khaznadar <georgesk@ofset.org>  Mon, 14 Feb 2011 18:24:35 +0100
