## auto-multiple-choice 1.0

=== Makefile ===
--- 
+++ 
@@ -51,7 +51,7 @@
 # try to find right names for OpenCV libs 
 
 ifeq ($(GCC_OPENCV_LIBS),auto)
-ifeq ($(shell echo 'main(){}' | gcc -xc -lopencv_core - 2>/dev/null && echo "OK"),OK)
+ifeq ($(shell echo 'main(){}' | gcc -xc -lopencv_core - -o /dev/null 2>/dev/null && echo "OK"),OK)
   GCC_OPENCV_LIBS:=-lopencv_core -lopencv_highgui -lopencv_imgproc
 else
   GCC_OPENCV_LIBS:=-lcv -lhighgui -lcxcore
