=== debian/changelog ===
auto-multiple-choice (1.0-1) unstable; urgency=low

  * upgraded to the new upstream source

 -- Georges Khaznadar <georgesk@ofset.org>  Thu, 22 Sep 2011 09:35:38 +0200

auto-multiple-choice (0.550-3) unstable; urgency=low

  * modified postrm, with Alexis Bienvenüe's help. Closes: #640611

 -- Georges Khaznadar <georgesk@ofset.org>  Tue, 06 Sep 2011 18:51:13 +0200
