## auto-multiple-choice 1.0.2

=== debian/changelog ===
auto-multiple-choice (1.0.2-1) unstable; urgency=low

  * upgraded to the new upstream source

 -- Georges Khaznadar <georgesk@ofset.org>  Wed, 12 Oct 2011 10:32:34 +0200
