=== debian/control ===
--- 
+++ 
@@ -4,8 +4,9 @@
 Maintainer: Georges Khaznadar <georgesk@ofset.org>
 Build-Depends: debhelper (>= 7.0.50~), quilt, gettext, libnetpbm10-dev,
  libpoppler-dev, libxml-libxml-perl, dblatex, xsltproc, docbook-xml,
- docbook-xsl, inkscape, netpbm
-Standards-Version: 3.9.1
+ docbook-xsl, librsvg2-bin, netpbm, libcv-dev (>=2.1), libhighgui-dev,
+ latex-xcolor
+Standards-Version: 3.9.2
 Homepage: http://home.gna.org/auto-qcm/
 Vcs-Browser: http://svn.gna.org/viewcvs/auto-qcm/
 Vcs-Svn: svn://svn.gna.org/svn/auto-qcm/trunk
@@ -20,7 +21,7 @@
   texlive-latex-base, latex-xcolor, texlive-generic-recommended,
   texlive-latex-extra, texlive-fonts-extra,
   imagemagick (>= 7:6.5.5) | graphicsmagick-imagemagick-compat,
-  netpbm, ghostscript, poppler-utils,
+  netpbm, ghostscript, poppler-utils, libarchive-zip-perl,
   unzip
 Recommends: libsys-cpu-perl, libnet-cups-perl (>= 0.60), 
   libopenoffice-oodoc-perl
