=== I18N/Makefile ===
--- 
+++ 
@@ -27,7 +27,7 @@
 
 PERL=$(AMC)/*.pl $(AMC)/AMC-perl/AMC/*.pm $(AMC)/AMC-perl/AMC/**/*.pm 
 
-GLADE=$(AMC)/AMC-gui.glade $(AMC)/AMC-perl/AMC/**/*.glade
+GLADE=$(AMC)/AMC-*.glade $(AMC)/AMC-perl/AMC/**/*.glade
 
 POS=$(wildcard lang/*.po)
 MOS=$(POS:.po=.mo)
