=== doc/Makefile ===
--- 
+++ 
@@ -25,7 +25,9 @@
 
 IMAGES=$(addprefix html/images/,$(notdir $(wildcard img_src/*.svg))) $(addprefix html/images/callouts/,$(notdir $(wildcard img_src/callouts/*.svg)))
 
-all: $(DOCBOOKS:.xml=.pdf) $(DOCBOOKS:.xml=.x) $(IMAGES:.svg=.png) ; 
+MODELS=$(wildcard modeles/*/*.d)
+
+all: $(DOCBOOKS:.xml=.pdf) $(DOCBOOKS:.xml=.x) $(IMAGES:.svg=.png) $(MODELS:.d=.tgz); 
 
 images: $(IMAGES:.svg=.png)
 
@@ -66,4 +68,7 @@
 	xsltproc --nonet --catalogs --stringparam base.dir html/$*/ doc-xhtml.xsl $<
 	date > $@
 
+%.tgz: %.d
+	tar czf $@ -C $< .
+
 .PHONY: all images clean
