=== debian/changelog ===
auto-multiple-choice (1.0.3-2) unstable; urgency=low

  * changed the invokation of rsvg (=> rsvg-convert). Closes: #659849
  * added a "real" dependency on libio-compress-perl

 -- Georges Khaznadar <georgesk@ofset.org>  Wed, 15 Feb 2012 06:17:58 +0000

auto-multiple-choice (1.0.3-1) unstable; urgency=low

  * upgraded to the newer upstream version.

 -- Georges Khaznadar <georgesk@ofset.org>  Thu, 22 Dec 2011 18:39:26 +0100

auto-multiple-choice (1.0.2-3) unstable; urgency=low

  * recompiled the package with pbuider since the binary package for amd64
    was linked to libraries existing only in experimental (my fault)

 -- Georges Khaznadar <georgesk@ofset.org>  Wed, 16 Nov 2011 17:29:00 +0100

auto-multiple-choice (1.0.2-2) unstable; urgency=low

  * added a dependency on librsvg2-common. LP:#882828

 -- Georges Khaznadar <georgesk@ofset.org>  Fri, 11 Nov 2011 10:51:36 +0100
