=== debian/control ===
--- 
+++ 
@@ -16,12 +16,12 @@
 Depends: ${misc:Depends}, ${shlibs:Depends}, liblocale-gettext-perl,
   ${perl:Depends}, 
   libxml-simple-perl, libxml-writer-perl,
-  libgtk2-gladexml-perl, libcompress-zlib-perl,
+  libgtk2-gladexml-perl, libio-compress-perl|libcompress-zlib-perl,
   libgraphics-magick-perl,
   texlive-latex-base, latex-xcolor, texlive-generic-recommended,
   texlive-latex-extra, texlive-fonts-extra,
   imagemagick (>= 7:6.5.5) | graphicsmagick-imagemagick-compat,
-  netpbm, ghostscript, poppler-utils, libarchive-zip-perl,
+  netpbm, ghostscript, poppler-utils, libarchive-zip-perl, librsvg2-common,
   unzip
 Recommends: libsys-cpu-perl, libnet-cups-perl (>= 0.60), 
   libopenoffice-oodoc-perl
