=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

%:
	SYSTEM_TYPE=deb dh $@


override_dh_installdocs:
	dh_installdocs
	find debian/auto-multiple-choice -type d -name ".svn" | xargs rm -rf

override_dh_installman:
	dh_installman doc/*.1
