## auto-multiple-choice 1.1.1

=== debian/changelog ===
auto-multiple-choice (1.1.1-2) unstable; urgency=low

  * Calls dh_installtex only for package auto-multiple-choice-common.
  * Added misc:Depends dependency for all packages.
  * changed debhelper build-depends version to >=9 to reflect compat
    value.

 -- Alexis Bienvenüe <pado@passoire.fr>  Tue, 19 Jun 2012 15:52:47 +0200

auto-multiple-choice (1.1.1-1) unstable; urgency=low

  * New upstream release.
  * Upgrades compat to 9 so that the build flags are passed to make even
    without configure step.
  * Uses --with tex to handle tex files installation properly.
    Closes: #677485
  * Added a sharedmimeinfo file
  * Removed postinst and postrm now created by dh_* scripts.
  * Added texstudio alternative to suggested packages.
  * Added GtkSourceView lang file (was missing in packages).

 -- Alexis Bienvenüe <pado@passoire.fr>  Sun, 17 Jun 2012 21:28:37 +0200

auto-multiple-choice (1.1.0-2) unstable; urgency=low

  * Added Breaks: and Replaces: for split package. Closes: #673799

 -- Alexis Bienvenüe <pado@passoire.fr>  Mon, 21 May 2012 19:17:16 +0200

auto-multiple-choice (1.1.0-1) unstable; urgency=low

  [ Alexis Bienvenüe ]
  * upgraded to new upstream version.
  * cleaned rules.
  * removed obsolete patches.
  * updated dependencies - libpoppler-dev is not used anymore. Closes: #660094
  * split the package to isolate architecture-independent files
    and documentation.
  * documentation registered with doc-base.
  * bumped Standards-Version to 3.9.3.
  * section changed to education.
  * updated copyright to follow new copyright format version.

  [ Georges Khaznadar ]
  * changed my status to Uploders' member, Alexis is now Maintainer

 -- Georges Khaznadar <georgesk@ofset.org>  Fri, 11 May 2012 09:38:50 +0000
