## auto-multiple-choice 1.2.0

=== debian/changelog ===
auto-multiple-choice (1.2.0-2) unstable; urgency=low

  * added a build-dependency on texlive-lang-french; Closes: #712350

 -- Georges Khaznadar <georgesk@debian.org>  Mon, 17 Jun 2013 07:05:34 +0200

auto-multiple-choice (1.2.0-1) unstable; urgency=low

  * New upstream release.
  * Bumped Standards-Version to 3.9.4.
  * Added libgtk2-notify-perl dependency (Recommends)
  * [Georges Khaznadar] changed my DEBEMAIL, repackaged and signed

 -- Alexis Bienvenüe <pado@passoire.fr>  Tue, 07 May 2013 20:55:22 +0200

auto-multiple-choice (1.1.2-1) unstable; urgency=low

  * New upstream release.
  * Typo corrected in the description.

 -- Alexis Bienvenüe <pado@passoire.fr>  Tue, 08 Jan 2013 15:10:13 +0100
